# Generated by Django 4.2 on 2023-04-24 13:59

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0010_alter_userrequest_options_userrequest_status_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Challenges',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('price', models.IntegerField()),
                ('first_step_max_days', models.CharField(max_length=255)),
                ('second_step_max_days', models.CharField(max_length=255)),
                ('third_step_max_days', models.CharField(max_length=255)),
                ('first_step_min_days', models.CharField(max_length=255)),
                ('second_step_min_days', models.CharField(max_length=255)),
                ('third_step_min_days', models.CharField(max_length=255)),
                ('first_step_max_daily_damage', models.CharField(max_length=255)),
                ('second_step_max_daily_damage', models.CharField(max_length=255)),
                ('third_step_max_daily_damage', models.CharField(max_length=255)),
                ('first_step_max_damage', models.CharField(max_length=255)),
                ('second_step_max_damage', models.CharField(max_length=255)),
                ('third_step_max_damage', models.CharField(max_length=255)),
                ('first_step_sufficient_profit', models.CharField(max_length=255)),
                ('second_step_sufficient_profit', models.CharField(max_length=255)),
                ('third_step_sufficient_profit', models.CharField(max_length=255)),
                ('first_step_platform', models.CharField(max_length=255)),
                ('second_step_platform', models.CharField(max_length=255)),
                ('third_step_platform', models.CharField(max_length=255)),
                ('first_step_one_time_purchase_price', models.CharField(max_length=255)),
                ('second_step_one_time_purchase_price', models.CharField(max_length=255)),
                ('third_step_one_time_purchase_price', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name_plural': 'Challenge',
            },
        ),
    ]
